## $Id: batching.py 8584 2012-05-31 20:34:44Z henrik $
##
## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""Batch processing components for student objects.

Batch processors eat CSV files to add, update or remove large numbers
of certain kinds of objects at once.

Here we define the processors for students specific objects like
students, studycourses, payment tickets and accommodation tickets.
"""
from waeup.fceokene.students.interfaces import (
    ICustomStudent, ICustomStudentUpdateByRegNo,
    ICustomStudentUpdateByMatricNo
    )
from waeup.kofa.students.batching import StudentProcessor

class CustomStudentProcessor(StudentProcessor):
    """A batch processor for IStudent objects.
    """
    iface = ICustomStudent
    iface_byregnumber = ICustomStudentUpdateByRegNo
    iface_bymatricnumber = ICustomStudentUpdateByMatricNo
